Bug 888594 - Add a more descriptive example in man page of remote-viewer
Add a more descriptive example in man page of remote-viewer
Status: CLOSED WORKSFORME
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: virt-viewer (Show other bugs)
6.3
x86_64 Linux
medium Severity medium
: rc
: ---
Assigned To: Daniel Berrange
Virtualization Bugs
: ManPageChange
Depends On:
Blocks: 960054
  Show dependency treegraph
 
Reported: 2012-12-18 18:27 EST by Nandini Chandra
Modified: 2013-05-23 17:14 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-08 11:35:27 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nandini Chandra 2012-12-18 18:27:53 EST
Description of problem:
A more detailed example needs to be added to the man page of remote-viewer.

Version-Release number of selected component (if applicable):
RHEL 6.3


How reproducible:
NA

Steps to Reproduce:
1.
2.
3.
  
Actual results:
Here's the current example stated in the man page of remote-viewer.
EXAMPLES
       To connect to SPICE server on host "makai" with port 5900

          remote-viewer spice://makai:5900



Expected results:
The SPICE server is enabled in the qemu-kvm process and the SPICE server listens on the KVM host that the guest is running on.

So,in order to connect to the guest 'guest1' running on host 'testvirt',run this command on a SPICE client(assuming that the SPICE server is listening on port 5900).

          remote-viewer spice://<KVM Hostname or IP add>:5900



Additional info:
Comment 2 Peter Schiffer 2012-12-19 07:24:28 EST
remote-viewer(1) man page is part of the virt-viewer package
Comment 3 RHEL Product and Program Management 2012-12-24 01:49:21 EST
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.
Comment 6 Marc-Andre Lureau 2013-05-08 11:35:27 EDT
Your proposed changes are misleading.

remote-viewer is not directly related to KVM, it can connect to any VNC server or any Spice server such as XSpice or Weston with Spice backend. 

There is no relation to mention to qemu-kvm o libvirt, this is what distinguishes from virt-viewer.

Note You need to log in before you can comment on or make changes to this bug.